Bug 73231 - Update multimedia/xmms
Summary: Update multimedia/xmms
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-28 11:00 UTC by Dmitry Panov
Modified: 2004-11-02 16:28 UTC (History)
0 users

See Also:


Attachments
file.diff (2.75 KB, patch)
2004-10-28 11:00 UTC, Dmitry Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Panov 2004-10-28 11:00:44 UTC
	Update encoding patch for multimedia/xmms.
    Add knob for ID3v2 extra patch.
    Remove stale dependency on textproc/libxml.
    Sync russian/xmms with MASTERDIR (extra distinfo is obsolete now).
Comment 1 Dmitry Panov 2004-10-28 11:56:39 UTC
>>Number:         73231
>>Category:       ports
>>Synopsis:       Update multimedia/xmms
>>Confidential:   no
>>Severity:       non-critical
>>Priority:       low
>>Responsible:    freebsd-ports-bugs
>>State:          open
>>Class:          update

DP> 	
>>Description:
DP> 	Update encoding patch for multimedia/xmms.
DP>     Add knob for ID3v2 extra patch.
DP>     Remove stale dependency on textproc/libxml.
DP>     Sync russian/xmms with MASTERDIR (extra distinfo is obsolete now).
DP>     
---end quoted text---

Ouch! Sorry, I include old diff instead correct version in PR.
Here is right patchfile, with plist fix.


Index: multimedia/xmms/Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/xmms/Makefile,v
retrieving revision 1.70
diff -u -r1.70 Makefile
--- multimedia/xmms/Makefile	30 Mar 2004 19:20:22 -0000	1.70
+++ multimedia/xmms/Makefile	28 Oct 2004 10:55:57 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	xmms
 PORTVERSION=	1.2.10
+PORTREVISION=	1
 CATEGORIES+=	multimedia audio ipv6
 MASTER_SITES=	http://www.xmms.org/files/1.2.x/ \
 		ftp://ftp.sunet.se/pub/multimedia/xmms/1.2.x/
@@ -17,7 +18,7 @@
 
 USE_BZIP2=	yes
 USE_X_PREFIX=	yes
-USE_GNOME=	gtk12 gnomehack libxml
+USE_GNOME=	gtk12 gnomehack
 USE_REINPLACE=	yes
 WANT_GNOME=	yes
 USE_GMAKE=	yes
@@ -43,13 +44,19 @@
 
 CONFIGURE_ARGS+=	--enable-ipv6
 
-.if defined(WITH_ENCODING_PATCH)
-ENC_PATCHLEVEL=	27.3
+.if defined(WITH_ENCODING_PATCH) || defined(WITH_ID3V2_PATCH)
+ENC_PATCHLEVEL=	27.4
 DISTFILES+=	${PORTNAME}-${PORTVERSION}-recode-csa${ENC_PATCHLEVEL}${EXTRACT_SUFX}:enc
 MASTER_SITES+=	${MASTER_SITE_SOURCEFORGE:S/$/:enc/}
 MASTER_SITE_SUBDIR+=	rusxmms/:enc
 .endif
 
+.if defined(WITH_ENCODING_PATCH)
+PLIST_SUB+=	ENCODING=""
+.else
+PLIST_SUB+=	ENCODING="@comment "
+.endif
+
 .if !defined(WITHOUT_MIKMOD)
 LIB_DEPENDS+=	mikmod.2:${PORTSDIR}/audio/libmikmod
 INPUT_PLUGINS+=	mikmod
@@ -119,7 +126,12 @@
 .endif
 
 post-patch:
-.if defined(WITH_ENCODING_PATCH)
+.if defined(WITH_ID3V2_PATCH)
+	@${PATCH} -s -p1 -d ${WRKSRC} < ${WRKDIR}/recode.3rdparty/id3v2.patch
+.endif
+.if defined(WITH_ENCODING_PATCH) && defined(WITH_ID3V2_PATCH)
+	@${PATCH} -s -p1 -d ${WRKSRC} < ${WRKDIR}/xmms_id3v2-ds-recode.patch
+.elif defined(WITH_ENCODING_PATCH)
 	@${PATCH} -s -p1 -d ${WRKSRC} < ${WRKDIR}/xmms-ds-recode.patch
 .endif
 	@${FIND} ${WRKSRC} -name "Makefile.in*" | ${XARGS} ${REINPLACE_CMD} -e \
Index: multimedia/xmms/distinfo
===================================================================
RCS file: /home/ncvs/ports/multimedia/xmms/distinfo,v
retrieving revision 1.18
diff -u -r1.18 distinfo
--- multimedia/xmms/distinfo	6 Apr 2004 13:19:31 -0000	1.18
+++ multimedia/xmms/distinfo	28 Oct 2004 07:43:40 -0000
@@ -1,4 +1,8 @@
+SHA1 (xmms-1.2.10.tar.bz2) = a3c3d3756d5263183c27b3c50a7f5404cba8bfaf
+RMD160 (xmms-1.2.10.tar.bz2) = 0360cbb8c326b3325bd8ebb3343c69a9788d7084
 MD5 (xmms-1.2.10.tar.bz2) = 03a85cfc5e1877a2e1f7be4fa1d3f63c
 SIZE (xmms-1.2.10.tar.bz2) = 2418265
-MD5 (xmms-1.2.10-recode-csa27.3.tar.bz2) = 216715cb72450244d3c6ec70dc7e8903
-SIZE (xmms-1.2.10-recode-csa27.3.tar.bz2) = 246645
+SHA1 (xmms-1.2.10-recode-csa27.4.tar.bz2) = 342448386ebad1f1700df8816411acb739845203
+RMD160 (xmms-1.2.10-recode-csa27.4.tar.bz2) = 40cf6b8fae111ff11e390760bdeb7e4a6f57b8a4
+MD5 (xmms-1.2.10-recode-csa27.4.tar.bz2) = f782cd4251fb36c23519b3b6d2552156
+SIZE (xmms-1.2.10-recode-csa27.4.tar.bz2) = 281388
Index: multimedia/xmms/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/multimedia/xmms/pkg-plist,v
retrieving revision 1.22
diff -u -r1.22 pkg-plist
--- multimedia/xmms/pkg-plist	31 Jan 2004 14:16:30 -0000	1.22
+++ multimedia/xmms/pkg-plist	28 Oct 2004 10:43:09 -0000
@@ -1,11 +1,15 @@
 bin/wmxmms
 bin/xmms
 bin/xmms-config
+%%ENCODING%%include/xmms/charset.h
+%%ENCODING%%include/xmms/charset_auto_russian.h
+%%ENCODING%%include/xmms/charset_config.h
 include/xmms/configfile.h
 include/xmms/dirbrowser.h
 include/xmms/formatter.h
 include/xmms/fullscreen.h
 include/xmms/plugin.h
+%%ENCODING%%include/xmms/russian_table.h
 include/xmms/titlestring.h
 include/xmms/util.h
 include/xmms/xmmsctrl.h
Index: russian/xmms/Makefile
===================================================================
RCS file: /home/ncvs/ports/russian/xmms/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- russian/xmms/Makefile	11 Mar 2004 15:10:20 -0000	1.6
+++ russian/xmms/Makefile	28 Oct 2004 09:05:56 -0000
@@ -16,6 +16,5 @@
 CONFLICTS=	xmms-[0-9]*
 
 WITH_ENCODING_PATCH=	yes
-MD5_FILE=	${.CURDIR}/distinfo
 
 .include "${MASTERDIR}/Makefile"


-- 
Dmitry "Red Fox" Panov @ Home       | FreeBSD since September, 1995
Khabarovsk, Russia | YaIM:redfox_dm | Jabber.org:fluffy | ICQ:1745024
Comment 2 Pav Lucistnik freebsd_committer 2004-10-28 20:38:57 UTC
Dear maintainer of FreeBSD port multimedia/xmms, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=73231

(second patch). Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Some programmers are able to write FORTRAN in any language.
Comment 3 Pav Lucistnik freebsd_committer 2004-10-28 20:38:59 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval. 


Comment 4 Pav Lucistnik freebsd_committer 2004-10-28 20:38:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 5 Espen Skoglund 2004-11-02 13:42:52 UTC
[Pav Lucistnik]
> Dear maintainer of FreeBSD port multimedia/xmms, please take a look
> at http://www.freebsd.org/cgi/query-pr.cgi?q=73231

> (second patch). Do you approve this patch?

Looks fine with me.  Of course, I haven't actually tried it with,
e.g., Russian encoded text, but...

	eSk
Comment 6 Pav Lucistnik freebsd_committer 2004-11-02 16:28:48 UTC
State Changed
From-To: feedback->closed

Committed, thanks!